Error: Limited Uphold Account Features

Hello, I have a problem verifying my Uphold account. I have an Uphold account for a long time and when I want to synchronize my wallet with brave I have this error message. I don’t have a VPN, and I disabled the Brave shield for verification but it didn’t change anything. So I contacted Uphold support and they found nothing wrong with my account.

What do I have to do so that everything works correctly and my wallet can be verified?

In advance, thank you for your answer.
Sorry for my english

What Operating System and Brave version are you using (Menu --> About Brave)?
1.44.108
Is your browser wallet currently verified? (yes/no)
No
What date did you verify your wallet?
I can’t verify it
Have you been able to successfully receive payments in the past?
Yes
Are you using a VPN? (yes/no)
No
Are you in a supported region (see here for list of supported regions)?
I’m from France

from the last sentence, it seems that some info that is shared between Uphold and Brave is missing.
They didn’t found anything wrong with your account because eventually they do not require much to have an account in Uphold. But it is different when it comes to integrate Brave and Uphold, and most people in support they only deal with the exchange helpdesk.

First things first. Is your data up to date in Uphold? Your ID card or passport validity date. Your proof of address.
I suggest that you update all the required KYC documents in Uphold.

Next, you say you are in France. But, do you have French nationality? Is your ID or passport French? There are some issues when nationality and place of residence do not match.

1 Like

Indeed I live in France and was born in France, with French nationality and everything is up to date with my Uphold account, identity card and proof of address…

I really don’t see where the problem could come from.

You can try to open a support ticket using the link below. But I doubt Brave is able to help much when it comes to Uphold issues.